WebSocketHandler::WebSocketConnection Class Reference

this class represents a connection to a websocket client More...

## Public Member Functions

| connectionClosed ()
| this method is called by the WebSocketHandler when the connection is closed More...
| constructor (WebSocketHandler n_handler)
| the constructor is called by the WebSocketHandler when a new connection is made by a websocket client; it is called from WebSocketHandler::getConnectionImpl(), which can be overridden in subclasses to allow a subclass of this class to be used as the connection object
| gotMessage (binary msg)
| this method is called by the WebSocketHandler when messages from the client are received More...
| gotMessage (string msg)
| this method is called by the WebSocketHandler when messages from the client are received More...
*binary | pollData ()
| this method is called by the WebSocketHandler to poll for messages from the client to send from the server
*binary | pollDataImmediate ()
| this method is called by the WebSocketHandler to poll for messages from the client to send from the server
| registered ()
| called when the connection has been registered in handler and accept sending messages (e.g. to send initial welcome message); the default implementation does nothing More...
| send (data msg)
| pushes an unencoded message on the connection's message queue; the message will be encoded with WebSocketUtil::ws_encode_message() before sending
| sendEncoded (binary msg)
| pushes an already-encoded message on the connection's message queue
| stop ()
| force closing socket related to connection

## Protected Member Functions

Qore::Thread::Queue | queue ()
| the Queue object stores messages to be sent to the server

## Detailed Description

this class represents a connection to a websocket client

Receiving WebSocket Messages from Clients
  When the WebSocketHandler class receives a message from the client, the WebSocketHandler class calls the WebSocketConnection::gotMessage() on the object that represents that connection.

Sending WebSocket Message to Clients
  To send a message to a websocket client, call one of the following methods:
  - WebSocketConnection::send(): to send an unencoded message to the client
  - WebSocketConnection::sendEncoded(): to send an already-encoded message to the client

## Member Function Documentation

## connectionClosed()

WebSocketHandler::WebSocketConnection::connectionClosed | ( |  | ) |

this method is called by the WebSocketHandler when the connection is closed

the implementation in this class is empty; implement this method in a subclass to provide custom behavior

## gotMessage() [1/2]

WebSocketHandler::WebSocketConnection::gotMessage | ( | binary | msg | ) |

this method is called by the WebSocketHandler when messages from the client are received

the implementation in this class is empty; implement this method in a subclass to provide custom behavior

## gotMessage() [2/2]

WebSocketHandler::WebSocketConnection::gotMessage | ( | string | msg | ) |

this method is called by the WebSocketHandler when messages from the client are received

the implementation in this class is empty; implement this method in a subclass to provide custom behavior

## registered()

WebSocketHandler::WebSocketConnection::registered | ( |  | ) |

called when the connection has been registered in handler and accept sending messages (e.g. to send initial welcome message); the default implementation does nothing

Since
  WebSocketHandler 1.4